%define drupaldir %{_datadir}/drupal6
Name: drupal-workspace
Version:  6.x.1.4
Release:  3.rc1%{?dist}.1
Summary: Allows users to have a central place to view and manage their content

Group: Applications/Publishing
License: GPL+
URL: http://drupal.org/project/workspace
Source0: http://ftp.drupal.org/files/projects/workspace-6.x-1.4-rc1.tar.gz
Source1: drupal-workspace-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6

%description
Each user has his/her own workspace, which is accessible by following a 
"My workspace" link in the main site navigation, just like the 
"My account" link. The workspace interface is tabbed (in the Drupal 
6.x version) and shows Content, Comments, and Attachments (attachments 
are files the user has uploaded with Drupal core's upload module).

%prep

%setup -qn workspace

install -p -m 0644 %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/workspace
cp -pr * %{buildroot}%{drupaldir}/modules/workspace

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt drupal-workspace-fedora-README.txt
%{drupaldir}/modules/workspace
%exclude %{drupaldir}/modules/workspace/LICENSE.txt
%exclude %{drupaldir}/modules/workspace/README.txt
%exclude %{drupaldir}/modules/workspace/drupal-workspace-fedora-README.txt

%changelog
* Sun Mar 27 2011 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-3.rc1.1
- Dep and path fixes.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.1.4-2.rc1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 13 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-2.rc1
- Fixed license tag.

* Tue Nov 10 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-1.rc1
- Fixed license tag.

* Mon Aug 03 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-0.rc1
- Updated to new version.

* Tue Sep 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.1.3-0
- Initial packaging.
